Subject: Re: X or AF_UNIX and order 3 allocation

From: Pete Zaitcev <[email-masked]>
Date: Wed, 16 Apr 2008 09:59:38 -0700

On Wed, 16 Apr 2008 08:52:13 -0700, Stephen Hemminger <[email-masked]> wrote:

> > > Not sure if the problem is caused by X or kernel, but this is what
> > 
> > It seems to be the b44 driver doing a large huge order allocation.
> > 
> > That driver only asks for (1536 + 30 + 64) bytes, so I suppose part of
> > the problem is that SLAB is using an order 3 allocation to satisfy
> > that.

> The chip needs memory below 1G for DMA, perhaps low memory is getting
> exhausted.

The failure corresponds to memory pressure (from yum), but the real issue
is the lack of order 3 areas. We're talking a 32KB chunk! Why would anyone
need that much? Crazy!

Apr 13 18:19:14 niphredil kernel: Xorg: page allocation failure. order:3, mode:0x4020

I blame SLUB. Things like the above never happened with SLAB.

-- Pete